Loading...
Searching...
No Matches
RDom.h File Reference

Defines the front-end syntax for reduction domains and reduction variables. More...

`#include <iostream>`
`#include <string>`
`#include <utility>`
`#include <vector>`
`#include "Expr.h"`
`#include "Reduction.h"`
`#include "Util.h"`

Go to the source code of this file.

## Classes

class | Halide::RVar
| A reduction variable represents a single dimension of a reduction domain (RDom). More...
class | Halide::RDom
| A multi-dimensional domain over which to iterate. More...

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.

## Functions

std::ostream & | Halide::operator<< (std::ostream &stream, const RVar &)
| Emit an RVar in a human-readable form.
std::ostream & | Halide::operator<< (std::ostream &stream, const RDom &)
| Emit an RDom in a human-readable form.

## Detailed Description

Defines the front-end syntax for reduction domains and reduction variables.

Definition in file RDom.h.